Bug 1420484 (CVE-2017-2620, xsa209) - CVE-2017-2620 Qemu: display: cirrus: potential arbitrary code execution via cirrus_bitblt_cputovideo
Summary: CVE-2017-2620 Qemu: display: cirrus: potential arbitrary code execution via c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-2620, xsa209
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1420485 1420486 1420487 1420488 1420489 1420490 1420492 1420493 1420494 1420495 1420496 1420497 1420498 1420499 1420500 1420501 1420502 1425419 1425420
Blocks: 1420460
TreeView+ depends on / blocked
 
Reported: 2017-02-08 19:55 UTC by Prasad J Pandit
Modified: 2019-09-29 14:06 UTC (History)
24 users (show)

Fixed In Version: qemu 2.8
Doc Type: If docs needed, set a value
Doc Text:
Quick emulator (QEMU) built with the Cirrus CLGD 54xx VGA Emulator support is vulnerable to an out-of-bounds access issue. The issue could occur while copying VGA data in cirrus_bitblt_cputovideo. A privileged user inside guest could use this flaw to crash the QEMU process OR potentially execute arbitrary code on host with privileges of the QEMU process.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0328 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:53 UTC
Red Hat Product Errata RHSA-2017:0329 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:47 UTC
Red Hat Product Errata RHSA-2017:0330 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:41 UTC
Red Hat Product Errata RHSA-2017:0331 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:35 UTC
Red Hat Product Errata RHSA-2017:0332 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:29 UTC
Red Hat Product Errata RHSA-2017:0333 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:23 UTC
Red Hat Product Errata RHSA-2017:0334 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:16 UTC
Red Hat Product Errata RHSA-2017:0350 normal SHIPPED_LIVE Important: qemu-kvm-rhev security and bug fix update 2017-03-01 12:59:14 UTC
Red Hat Product Errata RHSA-2017:0351 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-03-01 12:59:05 UTC
Red Hat Product Errata RHSA-2017:0352 normal SHIPPED_LIVE Important: qemu-kvm security update 2017-03-01 14:40:28 UTC
Red Hat Product Errata RHSA-2017:0396 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2017-03-02 22:07:28 UTC
Red Hat Product Errata RHSA-2017:0454 normal SHIPPED_LIVE Important: kvm security update 2017-03-07 16:02:09 UTC

Description Prasad J Pandit 2017-02-08 19:55:23 UTC
Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is
vulnerable to an out-of-bounds access issue. It could occur while copying
VGA data in cirrus_bitblt_cputovideo.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS OR potentially execute arbitrary code on the host with
privileges of Qemu process on the host.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-02/msg04700.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/21/1

Comment 7 Prasad J Pandit 2017-02-21 12:08:30 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1425420]

Comment 8 Prasad J Pandit 2017-02-21 12:08:44 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1425419]

Comment 9 Adam Mariš 2017-02-22 16:03:05 UTC
External References:

https://xenbits.xen.org/xsa/advisory-209.html

Comment 10 errata-xmlrpc 2017-02-27 23:14:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2017:0334 https://rhn.redhat.com/errata/RHSA-2017-0334.html

Comment 11 errata-xmlrpc 2017-02-27 23:16:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2017:0333 https://rhn.redhat.com/errata/RHSA-2017-0333.html

Comment 12 errata-xmlrpc 2017-02-27 23:17:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:0332 https://rhn.redhat.com/errata/RHSA-2017-0332.html

Comment 13 errata-xmlrpc 2017-02-27 23:18:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:0331 https://rhn.redhat.com/errata/RHSA-2017-0331.html

Comment 14 errata-xmlrpc 2017-02-27 23:20:01 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:0330 https://rhn.redhat.com/errata/RHSA-2017-0330.html

Comment 15 errata-xmlrpc 2017-02-27 23:21:24 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:0329 https://rhn.redhat.com/errata/RHSA-2017-0329.html

Comment 16 errata-xmlrpc 2017-02-27 23:22:36 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:0328 https://rhn.redhat.com/errata/RHSA-2017-0328.html

Comment 17 errata-xmlrpc 2017-03-01 07:59:29 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-6

Via RHSA-2017:0351 https://rhn.redhat.com/errata/RHSA-2017-0351.html

Comment 18 errata-xmlrpc 2017-03-01 08:02:35 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-7
  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:0350 https://rhn.redhat.com/errata/RHSA-2017-0350.html

Comment 19 errata-xmlrpc 2017-03-01 09:40:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0352 https://rhn.redhat.com/errata/RHSA-2017-0352.html

Comment 20 errata-xmlrpc 2017-03-02 17:29:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0396 https://rhn.redhat.com/errata/RHSA-2017-0396.html

Comment 21 errata-xmlrpc 2017-03-07 11:02:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2017:0454 https://rhn.redhat.com/errata/RHSA-2017-0454.html


Note You need to log in before you can comment on or make changes to this bug.